/******************************************************************************
版权所有：	
文件名称：	i2c.h
文件版本：	01.01
创建作者:	   sunxi
创建日期：	2008-08-06
功能说明：	i2c驱动程序。
其它说明：
修改记录：
*/
#ifndef _I2C_H
#define _I2C_H

#include "bspconfig.h"

//I2C总线设备定义
#define I2C_ID_RTC		1
#define I2C_ID_E2PROM	2


//等待传输完成
#define I2C_WAIT_COMPLETION()	if(0)//if(i2c_wait_completion()) goto LABEL_END

//检查是否有ACK（只有发送数据的时候需要检查）								
#define I2C_CHECK_ACK()			if(0)//if(MCF_I2SR & MCF_I2C_I2SR_RXAK) goto LABEL_END

//等待总线空闲					
#define I2C_WAIT_BUS_IDLE()		if(0)//if(i2c_wait_bus_idle()) goto LABEL_END			

int i2c_init(void);

int i2c_open(int i2c_id);
int i2c_close(int h_i2c);

int i2c_wait_completion(void);
int i2c_wait_bus_idle(void);


#endif
